org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.RestoreStateContext

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreStateContext

Direct Known Subclasses:
  GridCacheDatabaseSharedManager.RestoreBinaryState, GridCacheDatabaseSharedManager.RestoreLogicalState

Enclosing class:
  GridCacheDatabaseSharedManager

    public abstract static class GridCacheDatabaseSharedManager.RestoreStateContext
    extends Object

Abstract class for create restore context.

### Field Summary

Fields
`protected long` `lastArchivedSegment` Last archived segment.
`protected FileWALPointer` `lastRead` Last read record WAL pointer.
`protected IgniteLogger` `log`

### Constructor Summary

Constructors
Constructor and Description
`RestoreStateContext(long lastArchivedSegment, IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WALPointer` `lastReadRecordPointer()`
`WALRecord` `next(WALIterator it)` Advance iterator to the next record.
`boolean` `throwsCRCError()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected final IgniteLogger log

#### lastArchivedSegment

    protected final long lastArchivedSegment

Last archived segment.

#### lastRead

    protected FileWALPointer lastRead

Last read record WAL pointer.

### Constructor Detail

#### RestoreStateContext

    public RestoreStateContext(long lastArchivedSegment,
                               IgniteLogger log)

Parameters:
  `lastArchivedSegment` - Last archived segment index.
  `log` - Ignite logger.

### Method Detail

#### next

    public WALRecord next(WALIterator it)
                   throws IgniteCheckedException

Advance iterator to the next record.

Parameters:
  `it` - WAL iterator.
Returns:
  WALRecord entry.
Throws:
  `IgniteCheckedException` - If CRC check fail during binary recovery state or another exception occurring.

#### lastReadRecordPointer

    public WALPointer lastReadRecordPointer()

Returns:
  Last read WAL record pointer.

#### throwsCRCError

    public boolean throwsCRCError()

Returns:
  Flag indicates need throws CRC exception or not.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019